OpenapiPool Management
Health check proxies (deprecated)
Deprecated
Run health checks on specified proxies.
DEPRECATED: Use /api/proxies/health-check instead.
This endpoint is kept for backward compatibility and will be removed in a future version.
Args: request_data: Optional list of proxy IDs to check rotator: ProxyWhirl dependency api_key: API key verification
Returns: List of health check results
Authorization
APIKeyHeader X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/proxies/test" \ -H "Content-Type: application/json" \ -d '{ "proxy_ids": [ "550e8400-e29b-41d4-a716-446655440000" ] }'{
"data": {
"message": "Operation completed successfully"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-10-27T12:00:00Z",
"version": "1.0.0"
},
"status": "success"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}